MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004815ATutorModulespublic2011-08-12 12:342011-08-18 13:02
ReporteralisonBenjamin 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.3 
Summary0004815: Create a feature to enable and disable ATutor modules in a theme
DescriptionCreate a feature that controls which module pages (both top_level_page and sub_level_page ) are available to users in the mobile theme.

This feature enables turning on/off all, some, or none of the top_level_page and sub_level_pages.

TagsNo tags attached.
Affects versionSVN
SVN Revision#11309
Attached Files

- Relationships

-  Notes
(0005138)
cindy (administrator)
2011-08-16 16:09

Implemented a new module setting "avail_in_mobile" in boolean type to hide the page in the mobile themes. This setting is to set in "module.php". This setting on the parent page would affect all its child pages unless the child page has the same setting defined with an opposite value. "mods/_standard/patcher/module.php" demostrates how to use this setting.

Affected scripts in SVN trunk:
admin/index.php
include/lib/menu_pages.php
mods/_standard/patcher/module.php
tools/index.php

The changes have also applied to branch "gsoc11_benj" @ SVN revision 11310, where the affected scripts are:

include/lib/menu_pages.php
mods/_standard/patcher/module.php
themes/mobile/admin/index.tmpl.php
tools/index.php
(0005147)
greg (administrator)
2011-08-18 13:02

First round of 2.0.3 changes closed.

- Issue History
Date Modified Username Field Change
2011-08-12 12:34 alisonBenjamin New Issue
2011-08-12 12:55 cindy Assigned To => cindy
2011-08-12 12:55 cindy Status new => assigned
2011-08-16 16:09 cindy SVN Revision# => 11309
2011-08-16 16:09 cindy Note Added: 0005138
2011-08-16 16:09 cindy Status assigned => resolved
2011-08-16 16:09 cindy Fixed in Version => 2.0.3
2011-08-16 16:09 cindy Resolution open => fixed
2011-08-18 13:02 greg Note Added: 0005147
2011-08-18 13:02 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker